> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lijsten van Planningen

> Haalt alle planningen voor je team op. Geeft een lijst van planningen terug met hun configuratie, status en metadata.



## OpenAPI

````yaml nl/openapi/schedules.json GET /v1/schedules
openapi: 3.0.3
info:
  title: Schedules API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/schedules:
    get:
      summary: Lijst Schema's
      description: >-
        Haalt alle schema's voor je team op. Geeft een lijst van schema's terug
        met hun configuratie, status en metadata. Standaard worden verwijderde
        schema's eruit gefilterd.
      parameters:
        - name: include_deleted
          in: query
          required: false
          description: >-
            Stel in op 'true' om verwijderde schema's in de respons op te nemen.
            Standaard worden verwijderde schema's eruit gefilterd.
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
      responses:
        '200':
          description: Succesvolle respons met lijst van schema's.
          content:
            application/json:
              schema:
                type: object
                properties:
                  schedules:
                    type: array
                    items:
                      type: object
                      properties:
                        team_id:
                          type: string
                          description: Teamidentificatie
                        schedule_id:
                          type: string
                          description: Unieke schema-identificator
                        type:
                          type: string
                          enum:
                            - recurring
                            - onetime
                          description: Type schema
                        endpoint:
                          type: string
                          description: De endpoint URL
                        payload:
                          type: object
                          description: De payload om mee te sturen met de API-aanroep
                        cron_expression:
                          type: string
                          description: >-
                            Cron-expressie (alleen aanwezig voor terugkerende
                            schema's)
                        execute_at:
                          type: string
                          format: date-time
                          description: >-
                            Uitvoeringsdatetime (alleen aanwezig voor eenmalige
                            schema's)
                        expression_timezone:
                          type: string
                          description: Tijdzone voor het schema
                        text:
                          type: string
                          description: >-
                            Natuurlijke taaltekst gebruikt om cron-expressie te
                            genereren
                        schedule_name:
                          type: string
                          description: Interne schedulenaam in EventBridge
                        schedule_group:
                          type: string
                          description: Naam van schemagroep
                        created_at:
                          type: string
                          format: date-time
                          description: ISO 8601 datetime wanneer het schema is aangemaakt
                        updated_at:
                          type: string
                          format: date-time
                          description: >-
                            ISO 8601 datum en tijdstip wanneer het schema voor
                            het laatst is bijgewerkt
                        state:
                          type: string
                          enum:
                            - ENABLED
                            - DELETED
                          description: Huidige status van het schema
                        method:
                          type: string
                          enum:
                            - GET
                            - POST
                          description: HTTP-methode voor de geplande aanroep
                    description: Array van schema-objecten
                  count:
                    type: integer
                    description: Totaal aantal schema's
        '401':
          description: Ongeldige API-sleutel.
        '500':
          description: Interne serverfout bij het ophalen van schema's.
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authenticatie header in de vorm Bearer <token>, waar <token> jouw
        auth token is.

````